# Microsoft Azure Fundamentals (AZ-900)

## Introduction

Portal
- Personalize
- Access control
- Cost management
- Updates
- Multi-platform

Command Line Interface (CLI)
- Stable - the commands dont change
- Structure - all command follow same pattern
- Cross platform
- Automation
- Logging and source control

Azure PowerShell
- Cmdlet
- Azure Resource Manager - PS uses the RM just like the portal
- PS is used for more than just Azure

Cloudshell
- Browser or portal version of PowerShell

Azure Mobile Apps

ARM Templates
- Describe resource usage
- JSON format
- Template to create resources
- Source control
- Reuse sections

Azure Advisor
- Cost
- Security
- Reliability
- Operational Excellence
- Performance

## What is Cloud Computing

On demand availability of computer resources divided into 3 categories:
1. Compute
2. Networking
3. Storage

> Cloud computing is the delivery of computing services over the internet. Computing services include common IT infrastructure such as virtual machines, storage, databases, and networking. Cloud services also expand the traditional IT offerings to include things like Internet of Things (IoT), machine learning (ML), and artificial intelligence (AI).
> 
>Because cloud computing uses the internet to deliver these services, it doesn’t have to be constrained by physical infrastructure the same way that a traditional datacenter is. That means if you need to increase your IT infrastructure rapidly, you don’t have to wait to build a new datacenter—you can use the cloud to rapidly expand your IT footprint.
>[What is cloud computing - Training | Microsoft Learn](https://learn.microsoft.com/en-us/training/modules/describe-cloud-compute/3-what-cloud-compute)

### Language of Cloud Computing

This site is a huge dictionary of cloud terms that you should spend some time reading:
[Cloud Computing Terms | Microsoft Azure](https://azure.microsoft.com/en-us/resources/cloud-computing-dictionary/)


Terms to know
- **High availability:** using resources in the cloud, not limited to physical computers that you own. Use clusters to implement this
- **Reliability:** Fault tolerance / disaster recovery. Deploy across regional cloud centers
- **Scalability:** Add or remove resources when you need them. Process of scaling out, up, or down on an automatic basis. Horizontal scaling = scaling out. Vertical scaling = increasing power of existing VMs
- **Security:** Full control of cloud resources
- **Predictability:** Performance and costs
- **Governance:** Ability to create corporate standards and audit the resources
- **Manageability:** Monitoring.

![[Pasted image 20230822075625.png]]

### Cloud Service Models
Cloud service models are a way of categorizing cloud resource offerings based on the architectural component that it addresses.

#### Infrastructure as a Service (IaaS)
Type of cloud computing where basic infrastructure is offered on the cloud. 
- VMs & Servers
- Storage and backup
- Network

#### Platform as a Service
PaaS builds on top of IaaS and provides a complete deployment environment for apps. 
- App Services
- Databases
- Business Analytics
- Operating Systems
- Docker
- Kubernetes

#### Software as a Service
SaaS sits on top of both IaaS, and PaaS providing a complete third party solution. The best example of this is Office 365.
- EMRs like AdvancedMD 

![[Pasted image 20230822080155.png]]

### The Shared Responsibility Model
The shared responsibility model breaks down each of the "responsibilities" that the traditional IT department is manages when all computing resources are on-prem. It then looks at each of the cloud service model and defines who performs each responsibility - the cloud provider, 

![[Pasted image 20230822163235.png]]

[Describe the shared responsibility model - Training | Microsoft Learn](https://learn.microsoft.com/en-us/training/modules/describe-cloud-compute/4-describe-shared-responsibility-model)

### Define Cloud Models

#### Private Cloud
Pretty much the same as on-prem but resources are delivered over the internet. The company still purchases equipment and IT staff to manage the data center. 

### Public Cloud
Data center is built and controlled by a third party provider, like Microsoft, Amazon, or Google. Resources are managed and delivered over the internet.

### Hybrid Cloud
Combination of both Private and Public cloud where some resources are managed on-prem; perhaps for regulatory or security reasons.  The architecture of the organization decides whether resources are deployed to the company owned private cloud or on a public cloud platform.

### Multi Cloud
Pretty much the public cloud model but the organization uses more than one provider. Like some stuff is on Azure and other stuff is on AWS. 

